{
    "compilerOptions": {
        "target": "ES2018",
        "module": "commonjs",
        "lib": ["ES2022", "dom", "webworker"],
        "jsx": "react-jsx",
        "outDir": "dist",
        "baseUrl": ".",
        "paths": {
            "*": ["src/*"]
        },
        "incremental": true,
        "tsBuildInfoFile": "node_modules/.cache/.tsbuildinfo",
        "preserveValueImports": false,
        "importsNotUsedAsValues": "remove",
        "verbatimModuleSyntax": false,
        "useDefineForClassFields": true,
        "skipLibCheck": true,
        "importHelpers": true,
        "strict": true,
        "alwaysStrict": true,
        "strictNullChecks": true,
        "strictFunctionTypes": true,
        "strictBindCallApply": true,
        "strictPropertyInitialization": false,
        "noImplicitAny": false,
        "noImplicitThis": false,
        "noImplicitOverride": true,
        "noUnusedLocals": true,
        "noUnusedParameters": false,
        "noImplicitReturns": true,
        "noFallthroughCasesInSwitch": true,
        "moduleResolution": "node",
        "allowSyntheticDefaultImports": true,
        "esModuleInterop": true,
        "sourceMap": true,
        "declaration": false,
        "downlevelIteration": true,
        "experimentalDecorators": true,
        "emitDecoratorMetadata": true
    },
    "exclude": ["dist", "vendor"],
    "include": ["src", "environment", "jest.setup.ts"]
}
